petsc-3.6.2 2015-10-02
Report Typos and Errors

# SNESLineSearchSetUp

Prepares the line search for being applied by allocating any required vectors.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchSetUp(SNESLineSearch linesearch)

Collective on SNESLineSearch

### Input Parameters

linesearch -The LineSearch instance.

### Notes

For most cases, this needn't be called by users or outside of SNESLineSearchApply(). The only current case where this is called outside of this is for the VI solvers, which modify the solution and work vectors before the first call of SNESLineSearchApply, requiring the SNESLineSearch work vectors to be allocated upfront.

### Keywords

SNESLineSearch, SetUp

### See Also

SNESLineSearchReset()

Level:advanced
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages